Documentation Index

Fetch the complete documentation index at: https://docs.supermetrics.com/llms.txt

Use this file to discover all available pages before exploring further.

List all licenses for a team

Prev Next
Get
/v1/teams/{team_id}/licenses

List all licenses for a team

Security
HTTP
Type bearer

API key authentication. Create API keys in the Supermetrics Hub and send them in the Authorization header: Authorization: Bearer <your-api-key>

Path parameters
team_id
integer (int64) Required

The ID of the team

Minimum1
Maximum9223372036854776000
Example936506
Responses
200

Licenses retrieved successfully

Expand All
object

Response envelope containing a list of licenses

meta
object

Response metadata

Example{}
request_id
string

Unique ID of the request

Max length36
Pattern^[A-Za-z0-9_-]+
ExampleRfNUgKPReZtgmzkqAFe4ArjuCQXQuaRr
data
Array of object (LicenseData)

List of licenses

Max items1000
Example[]
object

License resource

license_id
integer (int64)

Unique identifier of the license

Minimum1
Maximum9223372036854776000
Example1
team_id
integer (int64)

ID of the team the license belongs to

Minimum1
Maximum9223372036854776000
Example123
license_model
string

The licensing model type

Max length50
Pattern^.+
Exampleteam
status
string

Current status of the license

Max length50
Pattern^.+
Exampleactive
is_trial
boolean

Whether this is a trial license

Examplefalse
available_data_sources
Array of string

List of data source identifiers available under this license

Max items500
Example[ "GA", "FA" ]
string
Max length100
Pattern^[A-Za-z0-9_]+
400

Bad request — invalid or missing parameters

object
message
string

Bad request error

Max length255
Pattern^.+$
code
string

BAD_REQUEST

Valid values[ "BAD_REQUEST" ]
401

Unauthorized — token is missing or invalid

object
message
string

Unauthorized access

Max length255
Pattern^.+$
code
string

UNAUTHORIZED

Valid values[ "UNAUTHORIZED" ]
403

Forbidden — insufficient permissions

object
message
string

Permission error

Max length255
Pattern^.+$
code
string

PERMISSION_ERROR

Valid values[ "PERMISSION_ERROR" ]
429

Too many requests - rate limit exceeded.

object
message
string

Too many requests

Max length255
Pattern^.+$
code
string

TOO_MANY_REQUESTS

Valid values[ "TOO_MANY_REQUESTS" ]
500

Internal server error

object
message
string

Internal server error

Max length255
Pattern^.+$
code
string

INTERNAL_SERVER_ERROR

Valid values[ "INTERNAL_SERVER_ERROR" ]